﻿--[[
Localisation file

]]


Perl_ProductName	= "|cFFD00000X-Perl|r UnitFrames";
Perl_Author		= "|cFFFF8080Zek|r";
Perl_Description        = Perl_ProductName.." by "..Perl_Author;
Perl_VersionNumber      = "1.8.1";
Perl_Version		= Perl_Description.." - "..Perl_VersionNumber;
Perl_LongDescription	= "UnitFrame replacement for new look Player, Pet, Party, Target, Target's Target, Raid";
Perl_ModMenuIcon	= "Interface\\Icons\\INV_Misc_Gem_Pearl_02";

PERL_MINIMAP_HELP1	= "|c00FFFFFFLeft click|r for Options (and to unlock frames)";
PERL_MINIMAP_HELP2	= "|c00FFFFFFRight click|r to drag this icon";

PERL_LOC_CLASS_WARRIOR = "Warrior";
PERL_LOC_CLASS_MAGE = "Mage";
PERL_LOC_CLASS_ROGUE = "Rogue";
PERL_LOC_CLASS_DRUID = "Druid";
PERL_LOC_CLASS_HUNTER = "Hunter";
PERL_LOC_CLASS_SHAMAN = "Shaman";
PERL_LOC_CLASS_PRIEST = "Priest";
PERL_LOC_CLASS_WARLOCK = "Warlock";
PERL_LOC_CLASS_PALADIN = "Paladin";
PERL_TYPE_NOT_SPECIFIED = "Not specified";
PERL_TYPE_CIVILIAN	= "Civilian";

-- Status
PERL_LOC_DEAD		= "Dead";
PERL_LOC_GHOST		= "Ghost";
PERL_LOC_FEIGNDEATH	= "Feign Death";
PERL_LOC_OFFLINE	= "Offline";
PERL_LOC_RESURRECTED	= "Resurrected";
PERL_LOC_SS_AVAILABLE	= "SS Available";
PERL_LOC_UPDATING	= "Updating";

BINDING_HEADER_PERL = "X-Perl Key Bindings"
BINDING_NAME_TOGGLERAID = "Toggle Raid Windows";
BINDING_NAME_TOGGLEOPTIONS = "Toggle Options Window";
BINDING_NAME_TOGGLEBUFFTYPE = "Toggle Buffs/Debuffs/none";
BINDING_NAME_TOGGLEBUFFCASTABLE = "Toggle Castable/Curable";

PERL_KEY_NOTICE_RAID_BUFFANY = "All buffs/debuffs shown";
PERL_KEY_NOTICE_RAID_BUFFCURECAST = "Only castable/curable buffs or debuffs shown";
PERL_KEY_NOTICE_RAID_BUFFS = "Raid Buffs shown";
PERL_KEY_NOTICE_RAID_DEBUFFS = "Raid Debuffs shown";
PERL_KEY_NOTICE_RAID_NOBUFFS = "No raid buffs shown";

if ( GetLocale() == "frFR" ) then
	PERL_LOC_CLASS_WARRIOR = "Guerrier";
	PERL_LOC_CLASS_MAGE = "Mage";
	PERL_LOC_CLASS_ROGUE = "Voleur";
	PERL_LOC_CLASS_DRUID = "Druide";
	PERL_LOC_CLASS_HUNTER = "Chasseur";
	PERL_LOC_CLASS_SHAMAN = "Chaman";
	PERL_LOC_CLASS_PRIEST = "Pr\195\170tre";
	PERL_LOC_CLASS_WARLOCK = "D\195\169moniste";
	PERL_LOC_CLASS_PALADIN = "Paladin";
	PERL_TYPE_NOT_SPECIFIED = "Non indiqu\195\169";
	PERL_TYPE_CIVILIAN	= "Civil";

	PERL_LOC_DEAD = "Mort";
	PERL_LOC_GHOST = "Fant\195\180me";
	PERL_LOC_FEIGNDEATH = "Feindre la Mort";
end
if ( GetLocale() == "deDE") then
	PERL_LOC_CLASS_WARRIOR = "Krieger";
	PERL_LOC_CLASS_MAGE = "Magier";
	PERL_LOC_CLASS_ROGUE = "Schurke";
	PERL_LOC_CLASS_DRUID = "Druide";
	PERL_LOC_CLASS_HUNTER = "J\195\164ger";
	PERL_LOC_CLASS_SHAMAN = "Schamane";
	PERL_LOC_CLASS_PRIEST = "Priester";
	PERL_LOC_CLASS_WARLOCK = "Hexenmeister";
	PERL_LOC_CLASS_PALADIN = "Paladin";
	PERL_TYPE_NOT_SPECIFIED = "Nicht spezifiziert";
	PERL_TYPE_CIVILIAN	= "Zivilist";

	PERL_LOC_DEAD = "Tot";
	PERL_LOC_GHOST = "Geist";
	PERL_LOC_FEIGNDEATH = "Totgestellt";
end
if (GetLocale() == "zhCN") then
	PERL_LOC_DRUID = "德鲁伊";
	PERL_LOC_HUNTER = "猎人";
	PERL_LOC_MAGE = "法师";
	PERL_LOC_PALADIN = "圣骑士";
	PERL_LOC_PRIEST = "牧师";
	PERL_LOC_ROGUE = "盗贼";
	PERL_LOC_SHAMAN = "萨满祭司";
	PERL_LOC_WARLOCK = "术士";
	PERL_LOC_WARRIOR = "战士";
	PERL_LOC_NOT_SPECIFIED = "非特定的";

	PERL_LOC_DEAD = "死亡";
	PERL_LOC_FEIGNDEATH = "假死";
	PERL_LOC_OFFLINE = "离线";
	PERL_LOC_RESURRECTED = "复活";
	PERL_LOC_SS_AVAILABLE = "可以利用的SS";
end
if ( GetLocale() == "koKR" ) then
	PERL_LOC_CLASS_WARRIOR = "전사";
	PERL_LOC_CLASS_MAGE = "마법사";
	PERL_LOC_CLASS_ROGUE = "도적";
	PERL_LOC_CLASS_DRUID = "드루이드";
	PERL_LOC_CLASS_HUNTER = "사냥꾼";
	PERL_LOC_CLASS_SHAMAN = "주술사";
	PERL_LOC_CLASS_PRIEST = "사제";
	PERL_LOC_CLASS_WARLOCK = "흑마법사";
	PERL_LOC_CLASS_PALADIN = "성기사";
	PERL_LOC_NOT_SPECIFIED = "무엇인가";

	PERL_LOC_DEAD = "죽음";
	PERL_LOC_FEIGNDEATH = "죽은척하기";
	PERL_LOC_OFFLINE = "오프라인";
	PERL_LOC_RESURRECTED = "부활받음";
	PERL_LOC_SS_AVAILABLE = "영혼석 있음";
end
if (GetLocale() == "zhTW") then
	PERL_LOC_WARRIOR = "戰士";
	PERL_LOC_MAGE = "法師";
	PERL_LOC_ROGUE = "盜賊";
	PERL_LOC_DRUID = "德魯伊";
	PERL_LOC_HUNTER = "獵人";
	PERL_LOC_SHAMAN = "薩滿";
	PERL_LOC_PRIEST = "牧師";
	PERL_LOC_WARLOCK = "術士";
	PERL_LOC_PALADIN = "聖騎士";
	PERL_LOC_NOT_SPECIFIED = "非特定的";
end
